[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TOrderedList.Push

Push another element on the list.

## Declaration

Source position: contnrs.pp line 142

`public function TOrderedList.Push(`
`AItem: Pointer`
`):Pointer;`

## Arguments

`AItem` |  | Item to add to the list.

## Function result

The element added to the list.

## Description

Push adds AItem to the list, and returns AItem.

## Errors

If not enough memory is available to expand the list, an exception may be raised.

## See also

TOrderedList.Pop |  | Remove an element from the list.
TOrderedList.Peek |  | Return the next element to be popped from the list.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .